APISettings
List custom connectors
List the workspace's custom connectors with their agent access settings. Header values are never returned. Requires the admin scope.
GET
/settings/custom-connectorscurl -X GET "https://productlane.com/api/v2/settings/custom-connectors" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
dataobject[]required
{
"data": [
{
"id": "string",
"title": "string",
"description": "string",
"url": "string",
"logo_url": "string",
"type": "http",
"order": 0,
"headers": [
{
"id": "string",
"key": "string"
}
],
"available_to_agent": true,
"agent_tools": [
"string"
],
"internal_blocked_tools": [
"string"
],
"reachable_without_identity": true,
"tool_policies": null,
"created_at": "string",
"updated_at": "string"
}
]
}